> ## Documentation Index
> Fetch the complete documentation index at: https://docs.parea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create or get Project

> Create a project or get the project if it already exists. Is used to find out UUID of project.



## OpenAPI

````yaml post /api/parea/v1/project
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /api/parea/v1/project:
    post:
      summary: Create Or Get Project Api
      description: >-
        Create a project or get the project if it already exists. Is used to
        find out UUID of project.
      operationId: create_or_get_project_api_api_parea_v1_project_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateGetProjectRequestSchema'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateGetProjectResponseSchema'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - APIKeyHeader: []
        - APIKeyHeader: []
components:
  schemas:
    CreateGetProjectRequestSchema:
      properties:
        name:
          type: string
          title: Name
          description: Name of the project
      type: object
      required:
        - name
      title: CreateGetProjectRequestSchema
      examples:
        - name: development
    CreateGetProjectResponseSchema:
      properties:
        name:
          type: string
          title: Name
          description: Name of the project
        uuid:
          type: string
          title: Uuid
          description: UUID of the project
        created_at:
          type: string
          title: Created At
          description: Timestamp the project was created
        was_created:
          type: boolean
          title: Was Created
          description: If the project was created or not.
      type: object
      required:
        - name
        - uuid
        - created_at
        - was_created
      title: CreateGetProjectResponseSchema
      examples:
        - created_at: '2024-05-30 13:48:34'
          name: development
          uuid: ...
          was_created: false
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: x-user-id

````